import request from '@/utils/request'
// 查询印刷列表
export function getYsList(queryMaps) {
  return request({
    url: '/wbwarehouseys/queryWbWarehouseYsByPagination',
    method: 'get',
    params: queryMaps,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
// 查询印刷列表
export function addYsList(data) {
  return request({
    url: '/wbwarehouseys/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
// 逻辑删除印刷接口
export function deleteYs(id) {
  return request({
    url: '/wbwarehouseys/deleteLogical/' + id,
    method: 'delete'
  })
}

// 获取印刷详情接口
export function detailYs(id) {
  return request({
    url: '/wbwarehouseys/detail/' + id,
    method: 'get'
  })
}
